int main()
{
    int n,i,ai,pi,dp,u;
    scanf("%d",&n);
    int fl[n];
    int pr[n];
    for(i=0;i<n;i++)
    {
        scanf("%d%d",&fl[i],&pr[i]);
    }
    for (i=0;i<n;i++)
    {
        
    }
    return 0;
}